import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CheckTutorial } from './providers/check-tutorial.service';

const routes: Routes = [
  {
    path: '',
    redirectTo: '/tutorial',
    pathMatch: 'full'
  },
  {
    path: 'account',
    loadChildren: './pages/account/account.module#AccountModule'
  },
  {
    path: 'support',
    loadChildren: './pages/support/support.module#SupportModule'
  },
  {
    path: 'login',
    loadChildren: './pages/login/login.module#LoginModule'
  },
  {
    path: 'signup',
    loadChildren: './pages/signup/signup.module#SignUpModule'
  },
  {
    path: 'app',
    loadChildren: './pages/tabs-page/tabs-page.module#TabsModule'
  },
  {
    path: 'tutorial',
    loadChildren: './pages/tutorial/tutorial.module#TutorialModule',
    canLoad: [CheckTutorial]
  },
  {
    path: 'manage',
    loadChildren: './pages/manage/manage.module#ManagePageModule'
  },
  {
    path: 'cards/:id',
    loadChildren: './pages/cards/cards.module#CardsPageModule'
  },
  {
    path: 'card-details',
    loadChildren: './pages/card-details/card-details.module#CardDetailsPageModule'
  },
  {
    path: 'products/:id',
    loadChildren: './pages/products/products.module#ProductsPageModule'
  },
  {
    path: 'product-detail',
    loadChildren: './pages/product-detail/product-detail.module#ProductDetailPageModule'
  },
  {
    path: 'settings',
    loadChildren: './pages/settings/settings.module#SettingsPageModule'
  },
  {
    path: 'category-detail',
    loadChildren: './pages/category-detail/category-detail.module#CategoryDetailPageModule'
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
