import { Component, OnInit } from '@angular/core';
import { LocalStorage } from '@ngx-pwa/local-storage';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'settings',
  templateUrl: './settings.page.html',
  styleUrls: ['./settings.page.scss'],
})
export class SettingsPage implements OnInit {

  appLanguage;

  constructor(
    private localStorage: LocalStorage,
    private translateService: TranslateService
  ) {
    this.localStorage.getItem('appLanguage').subscribe((data) => {
      this.appLanguage = data;
      console.log('app language: ' + this.appLanguage);
    });
  }

  ngOnInit() {
  }

  save() {
    console.log(this.appLanguage);
    this.localStorage.setItem('appLanguage', this.appLanguage).subscribe(() => { });
    this.translateService.use(this.appLanguage);
  }
}
