import { Injectable } from '@angular/core';
import { Product } from './product';
import { DatabaseService } from '../database.service';

@Injectable({
    providedIn: 'root'
})
export class ProductService {

    private db: IDBDatabase;

    private storeName = 'product';

    constructor(
        private databaseService: DatabaseService
    ) {
    }

    insert(product: Product): boolean {

        this.db = this.databaseService.db;

        const tx = this.db.transaction(this.storeName, 'readwrite');
        const store = tx.objectStore(this.storeName);

        store.put({
            name: product.name,
            price: product.price,
            isHidden: product.isHidden
        });

        tx.oncomplete = e => {
            console.log('tx completed');
            return true;
        };
        return true;
    }

    getAll(): Product[] {

        this.db = this.databaseService.db;

        const tx = this.db.transaction(this.storeName, 'readwrite');
        const store = tx.objectStore(this.storeName);

        store.getAll(this.storeName);

        const filtered: Product[] = [];
        /*
        tx.oncomplete = e => {
            debugger;
            console.log('tx completed');

            e.forEach(r => {
                filtered.push(r);
            });
        };
        */
        return filtered;
    }
}
